AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- OAuth

## Index

### Constructors

- constructor

### Methods

- handleAuthResponse
- oauthSignIn
- signOut

## Constructors

### constructor

- new OAuth(__namedParameters: object): OAuth

- - Defined in auth/src/OAuth/OAuth.ts:47

  #### Parameters

  - ##### __namedParameters: object

    - ##### cognitoClientId: string

    - ##### config: AwsCognitoOAuthOpts | Auth0OAuthOpts

    - ##### scopes: string[]

  #### Returns OAuth

## Methods

### handleAuthResponse

- handleAuthResponse(currentUrl?: string): Promise<object>

- - Defined in auth/src/OAuth/OAuth.ts:182

  #### Parameters

  - ##### Optional currentUrl: string

  #### Returns Promise<object>

### oauthSignIn

- oauthSignIn(responseType?: string, domain: string, redirectSignIn: string, clientId: string, provider?: CognitoHostedUIIdentityProvider | string): void

- - Defined in auth/src/OAuth/OAuth.ts:64

  #### Parameters

  - ##### Default value responseType: string = "code"

  - ##### domain: string

  - ##### redirectSignIn: string

  - ##### clientId: string

  - ##### Default value provider: CognitoHostedUIIdentityProvider | string = CognitoHostedUIIdentityProvider.Cognito

  #### Returns void

### signOut

- signOut(): Promise<void>

- - Defined in auth/src/OAuth/OAuth.ts:221

  #### Returns Promise<void>